#include <SPI.h>
#include <Wire.h>
#include <nRF24L01.h>
#include <RF24.h>
//#include <SoftwareSerial.h>
#if ARDUINO >= 100
#include "Arduino.h"
#else
#include "WProgram.h"
#endif
#include "MS5611.h"
#include "nRF24.h"
#include "GPS.h"


void setup() {

  //Serial.begin(9600);

  gps_setup();
  baro_setup();
  radio_setup();
  
  delay(5000); // wait a few seconds to let me put the cover on :)

}

int count = 0;
boolean doneCalibration = false;

void loop() {

  unsigned long now = micros();
  baro_loop(now);
  radio_loop();
  gps_loop();

  if ( !doneCalibration ) {
    if ( count++ > 200 ) {
      //Serial.println("Calibrating");
      for (int i = 0; i < 200; i++) {
        performBaroCalibrationCycle();
        delay(10);
      }
      doneCalibration = true;
    }
  }
  else {
    data.altitude = baroCalculateAltitude();
    //Serial.println( data.altitude );
  }

  delay(20);
}


